## mingw-w64-python-jsonschema-4.22.0-3.src.tar.zst

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --strip-extras docs/requirements.in
#
alabaster==0.7.16
    # via sphinx
anyascii==0.3.2
    # via sphinx-autoapi
astroid==3.1.0
    # via sphinx-autoapi
attrs==23.2.0
    # via
    #   jsonschema
    #   referencing
babel==2.14.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.2.2
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.4.27
    # via -r docs/requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.3
    # via
    #   sphinx
    #   sphinx-autoapi
file:.#egg=jsonschema
    # via -r docs/requirements.in
jsonschema-specifications==2023.12.1
    # via jsonschema
lxml==5.2.1
    # via
    #   -r docs/requirements.in
    #   sphinx-json-schema-spec
markupsafe==2.1.5
    # via jinja2
packaging==24.0
    # via sphinx
pyenchant==3.3.0rc1
    # via
    #   -r docs/requirements.in
    #   sphinxcontrib-spelling
pygments==2.17.2
    # via
    #   furo
    #   sphinx
pyyaml==6.0.1
    # via sphinx-autoapi
referencing==0.35.0
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.31.0
    # via sphinx
rpds-py==0.18.0
    # via
    #   jsonschema
    #   referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-autoapi
    #   sphinx-autodoc-typehints
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinx-json-schema-spec
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-autoapi==3.0.0
    # via -r docs/requirements.in
sphinx-autodoc-typehints==2.1.0
    # via -r docs/requirements.in
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-json-schema-spec==2024.1.1
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.1
    # via -r docs/requirements.in
urllib3==2.2.1
    # via requests

=== PKGBUILD ===
# Maintainer: Patrick Stewart <patstew@gmail.com>

_realname=jsonschema
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=4.22.0
pkgrel=3
pkgdesc="An implementation of JSON Schema validation for Python (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://python-jsonschema.readthedocs.io/"
msys2_repository_url="https://github.com/python-jsonschema/jsonschema/"
msys2_references=(
  'archlinux: python-jsonschema'
  'pypi: jsonschema'
)
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-attrs"
         "${MINGW_PACKAGE_PREFIX}-python-jsonschema-specifications"
         "${MINGW_PACKAGE_PREFIX}-python-rpds-py"
         "${MINGW_PACKAGE_PREFIX}-python-referencing")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-hatchling"
             "${MINGW_PACKAGE_PREFIX}-python-hatch-vcs"
             "${MINGW_PACKAGE_PREFIX}-python-hatch-fancy-pypi-readme")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-pytest")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname}-${pkgver}.tar.gz")
sha256sums=('5b22d434a45935119af990552c862e5d6d564e8f6601206b305a61fdf661a2b7')

build() {
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m pytest
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 json/LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
